OS := $(shell uname -s)

# dwm version
VERSION = 6.4

# paths
ifeq ($(OS),FreeBSD)
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/share/man
else ifeq ($(OS),OpenBSD)
PREFIX = /usr/local
MANPREFIX = $(PREFIX)/man
else
PREFIX = /usr
MANPREFIX = ${PREFIX}/share/man
endif

X11INC = /usr/X11R6/include
X11LIB = /usr/X11R6/lib

XINERAMALIBS  = -lXinerama
XINERAMAFLAGS = -DXINERAMA

# freetype
FREETYPELIBS = -lfontconfig -lXft
ifeq ($(OS),OpenBSD)
FREETYPEINC = ${X11INC}/freetype2
else
FREETYPEINC = ${PREFIX}/include/freetype2
endif

# includes and libs
INCS = -I${X11INC} -I${FREETYPEINC}
LIBS = -L${X11LIB} -lX11 ${XINERAMALIBS} ${FREETYPELIBS} -lX11-xcb -lxcb -lxcb-res -lXext -lImlib2 -lm
ifeq ($(OS),FreeBSD)
LIBS += -lutil
endif

# flags
ifeq ($(OS),Linux)
CPPFLAGS = -D_DEFAULT_SOURCE -D_BSD_SOURCE -D_XOPEN_SOURCE=700L -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
endif
ifeq ($(OS),OpenBSD)
CPPFLAGS = -D_DEFAULT_SOURCE -D_BSD_SOURCE -D_POSIX_C_SOURCE=200809L -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
endif
ifneq ($(OS),FreeBSD)
CFLAGS   = -std=c99 -pedantic -Wall -Wno-deprecated-declarations -Os ${INCS} ${CPPFLAGS}
endif
LDFLAGS  = ${LIBS}

# compiler and linker
CC = cc
